@echo off
rem
rem clean up temporary files beforehand
if exist temp.txt del temp.txt
if exist temp2.txt del temp2.txt 
if exist attitude.txt del attitude.txt
if exist attitude.bin del attitude.bin
if exist attitude.dat del attitude.dat
rem
rem copy over default packet format file sync 0x1234, packet length 128 bytes
copy page0000.def page0000.bin
pktredu infile:5.bin outfile:attitude.dat info:compressed outfo:raw page:page0000.bin ev:3
rem
echo Start TPS, samples in UTIL directory page 5
echo Record parameters ROLLM.TXT, YAWM.TXT, PITCHM.TXT
echo Replay compressed binary file 5.bin
echo Switch off recordings
echo quit TPS
echo PASPLICE splicing of record files...
pause
pasplice infile1:rollm.txt infile2:yawm.txt outfile:temp.txt
pasplice infile1:temp.txt infile2:pitchm.txt outfile:attitude.txt
fileredu infile:attitude.txt outfile:temp2.txt start:7 end:338 ev:2
rem notepad temp2.txt
rem pause
echo COLTOPKT converting to compressed ATTITUDE.BIN...
pause
coltopkt infile:temp2.txt outfile:attitude.bin
rem
echo Now replay compressed file ATTITUDE.BIN in page 16 TPS
rem
echo EXMPL1.BAT finished.
